
:root
{
  --black: #000000;
  --white: #ffffff;
  --grey-medium: #e1e4e5;
  --light-grey: #f9f9f9;
  --links: #547aea;

  /* Dataiku core colors */
  --dark-teal: #00837c;
  --teal-official: #00b2a9;
  --aquamarine: #b8e7e5;
  --clear-day: #e6f4f4;
  --dark-blue: #221c35;
  --pearl: #f0f3f6;
  --nimbus: #f6f6f6;

  /* Dataiku secondary colors */
  --gold: #fccd20;
  --dandelion: #fce9a5;
  --cosmic-latte: #fcf5de;
  --trinidad: #f35b05;
  --apricot: #fcd1b9;
  --linen: #feefe6;
  --lavender: #a47bc7;
  --prelude: #dfd1eb;
  --dusk: #f0ebf5;
  --ultramarine: #4578fc;
  --cornflower: #becaf9;
  --mist: #e1e6fa;
  --lighter-magenta: #f6dae2;
  --maya-blue: #7dbeea;
  --sky: #c4e4fa;
  --bubble: #ebf4fa;
  --jade: #00b257;
  --mint: #b8e7ba;
  --panache: #e6f4e7;
}

.toc-title {
  font-size: 0.7em;
}

.toc-tree ul {
  font-size: 1.02em!important;
}

ul.breadcrumbs {
  list-style-type: none;
  padding: 0;
}

ul.breadcrumbs li {
  display: inline;
}

ul.breadcrumbs .home-icon img {
  width: 18px; 
  height: auto;
  border: none;
  margin-top: -4px;
}

ul.breadcrumbs .home-icon:hover a {
	border-bottom: none !important;
}

ul.breadcrumbs li:not(:last-child):after {
  content: " »";
  margin: 0 5px;  
}

ul.breadcrumbs li a {
  text-decoration: none;
  color: var(--links);
}

ul.breadcrumbs li a:hover {
  border-bottom: 1px dotted var(--links);
}

article a {
  text-decoration: none;
}

summary .line-block {
  display: none !important;
  margin:0 !important;
}

.admonition-title {
  font-size: 1em !important;
}

.admonition {
  font-size: 0.9em;
}

/* We may not need these two rules that were taken from the dev guide repo */
.open-new-tab {
  color: var(--color-foreground-muted);
  font-size: 0.4em;
  margin-inline: 0.25em;
  text-decoration: none;
  vertical-align: middle;
}

.open-new-tab:hover {
  color: var(--color-foreground-primary);
}
/* End of the 2 rules we may drop soon. */


/* Uncomment the rules below to add a survey banner */
/* #ux-survey-banner {
  position: relative;
  top: 115px;  
  background-color: var(--dark-teal);
  color: var(--white);
  font-size: 16px;
  text-align: center;
  padding: 10px;
  z-index: -1;
}

#ux-survey-banner a {
  color: var(--gold);
  text-decoration: none !important;
}

#ux-survey-banner a:hover {
  cursor: pointer !important;
} */

p.flag-beta, p.flag-public-preview, p.flag-private-preview
{
	color: var(--white);
	font-variant: small-caps;
	background-color: var(--lavender);
	padding-left: 15px;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-right: 10px;
}

p.flag-beta
{
	width: 110px;
}

p.flag-public-preview, p.flag-private-preview
{
	width: 200px;
}

p.flag-beta::before
{
	content: 'Beta feature';
}

p.flag-public-preview::before
{
	content: 'Public preview feature';
}

p.flag-private-preview::before
{
	content: 'Private preview feature';
}


img {
  border: 0;
  -ms-interpolation-mode: bicubic;
  vertical-align: middle;
  max-width: 100%;
}

.main img {
  height: auto !important;
  border: 1px #ddd solid;
}

img.icon {
  border: none;
  display: block;
  margin: 10px auto 0px auto !important;
  width: 28px;
}

img.inline-icon {
  border: none;
}

/* Apply filter for dark theme explicitly */
body[data-theme="dark"] .inline-icon {
  filter: invert(1);
}

/* Apply filter for light theme explicitly */
body[data-theme="light"] .inline-icon {
  filter: none;
}

/* Handle "auto" mode based on user's system preference */
body[data-theme="auto"] .inline-icon {
  filter: none; /* Default for light mode */
}

@media (prefers-color-scheme: dark) {
  body[data-theme="auto"] .inline-icon {
      filter: invert(1);
  }
}

@media (prefers-color-scheme: light) {
  body[data-theme="auto"] .inline-icon {
      filter: none;
  }
}

.image-popup:hover {
 cursor: zoom-in;
}

.enlarged {
  cursor: zoom-out;
}

.popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7); /* Grey background with transparency */
  z-index: 100; /* Set the z-index lower than the popup */
}

.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.4) !important;
  max-width: 80%;
  max-height: 80%;
  overflow: hidden;
  background: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  z-index: 200;
}

.popup:hover {
  cursor: zoom-out;
}

ol img.image-popup {
  margin-top: 5px;
  margin-bottom: 5px;
}

.code-scroll pre {
  max-height: 10rem;
  overflow-y: scroll;
  background-color: inherit !important;
}

/* use this class to build tables using raw HTML in the rst files. */
table.description {
  /* width: 100%; */
  border:1px solid #e1e4e5 !important;
  border-collapse:collapse;
  margin-bottom: 20px !important;
}
table.description th {
  border:1px solid #e1e4e5 !important;
  padding:10px;
  background: #f3f6f6;
  font-weight: 700;
  font-style:normal;
}
table.description td {
  border:1px solid #e1e4e5 !important;
  text-align:left;
  padding:10px;
  background: #ffffff;
  word-break:break-word;
}

/* customizing default class docutils of list and csv tables */

table.docutils {
  width: 99%;
  border-collapse:collapse;
}

table.docutils th {
  padding:10px;
  font-weight: 700;
  font-style:normal;
  text-align: left;
}

table.docutils td {
  text-align:left;
  padding:10px;
  vertical-align: top;
}

/* Styles for Hotjar feedback button on KB */

button#hj-survey-toggle-1 {
  z-index: 1000;
}

/* Styles for Google search custom (gse) */
/* Adjust the position of the custom Google search results overlay to avoid overlapping with the fixed header */
.gsc-results-wrapper-overlay {
  top: 160px !important;
}

.gsc-control-cse {
  border: none !important;
  background-color: rgba(255,255,255,0) !important;
}

.gsc-input-box {
  border-radius: 5px !important;
  background-color: white !important;  
}

input.gsc-input {
  background-color: white !important;
  color: var(--dark-blue);
}

.gs-per-result-labels {
  color: var(--black);
}

.gsc-completion-container table {
  color: var(--black);
}

/* End of styles for GSE */

aside.sidebar-drawer{
  z-index: 100 !important;  /*Required to display properly the google search custom overlay */
  top: 115px !important;
}

article[role=main] a {
  color: var(--links) !important;
}

body[data-theme="light"] .sidebar-tree .toctree-l1>.reference, body[data-theme="light"] .sidebar-tree .toctree-l1>label .icon, body[data-theme="dark"] .sidebar-tree .toctree-l1>.reference, body[data-theme="dark"] .sidebar-tree .toctree-l1>label .icon, body[data-theme="auto"] .sidebar-tree .toctree-l1>.reference, body[data-theme="auto"] .sidebar-tree .toctree-l1>label .icon {
  color: var(--links);
}

body[data-theme="light"] .toc-tree li.scroll-current>.reference, body[data-theme="dark"] .toc-tree li.scroll-current>.reference, body[data-theme="auto"] .toc-tree li.scroll-current>.reference {
  color: var(--links);
}

body[data-theme="light"] .highlight, body[data-theme="light"] .highlight button.copybtn {
  background-color: var(--light-grey);
}

body[data-theme="light"] .admonition.warning, body[data-theme="light"] .admonition.caution {
  border-left-color: var(--trinidad);
}
body[data-theme="light"] .admonition.warning>.admonition-title:before, body[data-theme="light"] .admonition.caution>.admonition-title:before {
  background-color: var(--trinidad);
}
body[data-theme="light"] .admonition.warning>.admonition-title {
  background-color: var(--apricot);
}
body[data-theme="light"] .admonition.caution>.admonition-title {
  background-color: var(--linen);
}
body[data-theme="light"] .admonition.important {
  border-left-color: var(--gold);
}
body[data-theme="light"] .admonition.important>.admonition-title:before {
  background-color: var(--gold);
}
body[data-theme="light"] .admonition.important>.admonition-title {
  background-color: var(--dandelion);
}

body[data-theme="light"] .admonition.note {
  border-left-color: var(--ultramarine);
}
body[data-theme="light"] .admonition.note>.admonition-title:before {
  background-color: var(--ultramarine) !important;
}
body[data-theme="light"] .admonition.note>.admonition-title {
  background-color: var(--mist);
}

body[data-theme="light"] .admonition.tip, body[data-theme="light"] .admonition.hint {
  border-left-color: var(--teal-official);
}
body[data-theme="light"] .admonition.tip>.admonition-title:before, body[data-theme="light"] .admonition.hint>.admonition-title:before {
  background-color: var(--teal-official) !important;
}
body[data-theme="light"] .admonition.tip>.admonition-title, body[data-theme="light"] .admonition.hint>.admonition-title {
  background-color: var(--aquamarine);
}

/* Modifier to disable all filters no matter the theme or system setting.
   Use this when an icon shouldn't be affected by dark mode styling. */
img.inline-icon.no-filter {
  filter: none !important;
  width: 48px;
  height: 48px;
  margin: 2px;
  vertical-align: middle;
}

img.course-image {
  float: right;   /* same effect as :align: right */
  width: 50%;     
  height: auto;   /* keeps aspect ratio */
  margin: 0 0 1em 1em;  /* space between image and text */
}

img.cert-image {
  float: right;   /* same effect as :align: right */
  width: 30%;     
  height: auto;   /* keeps aspect ratio */
  margin: 0 0 1em 1em;  /* space between image and text */
}